routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\{NaturaController, DashboardController, NaturaGrupoController, LiderController, PermisoController, PorcentajeController, RolController, UsersController};

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|

Route::get('/login', function () {
    return view('errors.503');
})->name('login');*/
//Route::get('/login', 'errors.503')->name('login');

Route::middleware('auth', 'verified')->group(function () {
	Route::get('/', [DashboardController::class,'index'])->name('welcome');
	Route::get('/dashboard', [DashboardController::class,'index'])->name('dashboard');
	Route::view('profile', 'profile')->name('profile');
	Route::get('/file-import',[NaturaController::class,'index'])->name('import-view');
	Route::post('/import',[NaturaController::class,'import'])->name('import');
	Route::get('/file-import-Direct',[NaturaGrupoController::class,'index'])->name('import-view-direct');
	Route::post('/import-Direct',[NaturaGrupoController::class,'import'])->name('import-Direct');
	Route::get('/file-import-Users',[UsersController::class,'indexUser'])->name('import-view-Users');
	Route::post('/import-Users',[UsersController::class,'importUser'])->name('import-Users');
	Route::get('/lideres',[LiderController::class,'index'])->name('lideres');
	Route::get('/lideres/{codigo}',[LiderController::class,'show'])->name('lider.show');
	Route::get('/dashboard/info/{codigo}', [DashboardController::class,'show'])->name('dashboard.show');
	Route::get('/dashboard/infoapp/{id}', [DashboardController::class,'info'])->name('dashboard.info');
	Route::get('/lideres/infoapp/{codigo}', [DashboardController::class,'showLider'])->name('dashboard.showLider');
	Route::prefix('admin')->group(function () {
		Route::get('porcentaje', [PorcentajeController::class,'index'])->name('porcentaje');
		Route::post('porcentaje', [PorcentajeController::class,'store'])->name('porcentaje.store');
		Route::get('porcentaje/show', [PorcentajeController::class,'show'])->name('porcentaje.show');
		Route::post('/uploadimage',[PorcentajeController::class,'import'])->name('uploadimage');
		Route::resource('/usuarios', UsersController::class);
		Route::get('lista', [UsersController::class, 'getUsers'])->name('lista');
		Route::resource('/roles', RolController::class);
		Route::resource('/permisos', PermisoController::class);
	});
	Route::get('sendMessage/', [UsersController::class, 'exp']);
	Route::post('sendMessage/', [UsersController::class, 'export'])->name('send.store');
});

app/Models/User.php
<?php

namespace App\Models;

use Spatie\Permission\Traits\HasRoles;
use Illuminate\Notifications\Notifiable;
use Laravel\Fortify\TwoFactorAuthenticatable;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Database\Eloquent\SoftDeletes;

class User extends Authenticatable
{
    use HasFactory, Notifiable, TwoFactorAuthenticatable, HasRoles, SoftDeletes;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'email',
        'password',
        'avatar',
        'codigo'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function getAvatarUrlAttribute()
    {
        if ($this->avatar != null) :
            return asset($this->avatar);
        else :
            return 'https://ui-avatars.com/api/?name=' . str_replace(' ', '+', $this->name) . '&background=fff&color=6777ef&size=100';
        endif;
    }
}

resources/views/detalle.blade.php
@extends('layouts.backend')

@section('title', 'Dashboard')

@section('content')
<div class="card">
    <div class="card-header">
        <h4>Detalle</h4>
    </div>
    <div class="card-body">
        
        <h5>Líderes en Periodo de Atención</h5>
            <div class="row">                
                <div class="col-lg-3 col-md-6 col-sm-6 col-12">
                    <div class="card card-statistic-1">
                        <div class="card-icon bg-warning">
                            <i class="fas fa-circle"></i>
                        </div>
                        <div class="card-wrap">
                            <div class="card-header">
                                <h4>En inicia </h4>
                            </div>
                            <div class="card-body">
                                {{$INICIA}}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 col-sm-6 col-12">
                    <div class="card card-statistic-1">
                        <div class="card-icon bg-danger">
                            <i class="fas fa-circle"></i>
                        </div>
                        <div class="card-wrap">
                            <div class="card-header">
                                <h4>En periodo de atención </h4>
                            </div>
                            <div class="card-body">
                                {{$Si}}
                            </div>
                        </div>
                    </div>
                </div>
            </div> 
            <h4>Grupo Directo</h4> 
            
            <table class="table table-striped table-sm thead-light table-bordered dt-responsive nowrap " style="width:100%" id="reporte2">
                <thead>
                    <th>Líder</th>
                    <th>Periodo de Atención</th>
                    <th>Momento Inicial</th>
                    <th>Momento Real</th>
                    <th>Momento Final</th>
                    <th>Acciones</th>
                </thead>
                <tbody>
                    @foreach($lideresIs as $lider)
                        <tr>
                            <td>
                            {{$lider->nombre_lider}}
                                
                            </td>
                            <td>    
                                <div  class="badge @if($lider->periodo_antencion == 'INICIA') badge-warning @elseif ($lider->periodo_antencion == 'SÍ') badge-danger @else badge-success @endif">{{$lider->periodo_antencion}}</div>
                            </td>
                            <td>
                                {{$lider->momento_carrera_inicial}}
                            </td>
                            <td>
                                {{$lider->momento_carrera_real}}
                            </td>
                            <td>
                                {{$lider->momento_carrera_final}}
                            </td>
                            <td>
                                <a class="btn btn-info btn-sm" href="{{route('lider.show', $lider->codigo_lider)}}"><i class="fas fa-eye"></i></a>                                    
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
            
    </div>
    
</div>

@endsection
@section('js')
<script type="text/javascript">
   
$(function () {
    


    $('#reporte').DataTable({
        responsive:true,
        autoWidth:false,
        language: {
            "decimal": "",
            "emptyTable": "No hay información",
            "info": "Mostrando _START_ a _END_ de _TOTAL_ Entradas",
            "infoEmpty": "Mostrando 0 to 0 of 0 Entradas",
            "infoFiltered": "(Filtrado de _MAX_ total entradas)",
            "infoPostFix": "",
            "thousands": ",",
            "lengthMenu": "Mostrar _MENU_ Entradas",
            "loadingRecords": "Cargando...",
            "processing": "Procesando...",
            "search": "Buscar:",
            "zeroRecords": "Sin resultados encontrados",
            "paginate": {
                "first": "Primero",
                "last": "Ultimo",
                "next": "Siguiente",
                "previous": "Anterior"
            }
        
        },
    });

    $('#reporte2').DataTable({
        responsive:true,
        autoWidth:false,
        language: {
            "decimal": "",
            "emptyTable": "No hay información",
            "info": "Mostrando _START_ a _END_ de _TOTAL_ Entradas",
            "infoEmpty": "Mostrando 0 to 0 of 0 Entradas",
            "infoFiltered": "(Filtrado de _MAX_ total entradas)",
            "infoPostFix": "",
            "thousands": ",",
            "lengthMenu": "Mostrar _MENU_ Entradas",
            "loadingRecords": "Cargando...",
            "processing": "Procesando...",
            "search": "Buscar:",
            "zeroRecords": "Sin resultados encontrados",
            "paginate": {
                "first": "Primero",
                "last": "Ultimo",
                "next": "Siguiente",
                "previous": "Anterior"
            }
        
        },
    });
    
});

</script>
@endsection

resources/views/profile.blade.php
@extends('layouts.backend')

@section('title', 'Profile')

@section('content')
<x-section-header heading="Profile" breadcrumb="profile" />
<x-section-sub-header title="Hola! {{ Str::words(auth()->user()->name, 1, '') }}"
  lead="Change information about yourself on this page." />

<div class="row mt-sm-4">
  <div class="col-12 col-md-12 col-lg-5">
    <div class="card profile-widget">
      <div class="profile-widget-header">
        <img alt="image" src="{{ auth()->user()->avatar_url }}" class="rounded-circle profile-widget-picture">
        <div class="profile-widget-items">
          <div class="profile-widget-item">
            <div class="profile-widget-item-label">Posts</div>
            <div class="profile-widget-item-value">187</div>
          </div>
          <div class="profile-widget-item">
            <div class="profile-widget-item-label">Followers</div>
            <div class="profile-widget-item-value">6,8K</div>
          </div>
          <div class="profile-widget-item">
            <div class="profile-widget-item-label">Following</div>
            <div class="profile-widget-item-value">2,1K</div>
          </div>
        </div>
      </div>
      <div class="profile-widget-description">
        <div class="profile-widget-name">{{ Str::words(auth()->user()->name, 1, '') }}<div class="text-muted d-inline font-weight-normal">
            <div class="slash"></div> Consultora TN1
          </div>
        </div>
       
      </div>
      <div class="card-footer text-center">
        
      </div>
    </div>
    @if (Laravel\Fortify\Features::enabled(Laravel\Fortify\Features::twoFactorAuthentication()))
    @include('profile.two-factor-authentication-form')
    @endif
  </div>
  <div class="col-12 col-md-12 col-lg-7">
    @if (session('status'))
    <div class="alert alert-primary alert-dismissible show fade">
      <div class="alert-body">
        <button class="close" data-dismiss="alert">
          <span>&times;</span>
        </button>
        @if (session('status')=='profile-information-updated')
        Profile has been updated.
        @endif
        @if (session('status')=='password-updated')
        Password has been updated.
        @endif
        @if (session('status')=='two-factor-authentication-disabled')
        Two factor authentication disabled.
        @endif
        @if (session('status')=='two-factor-authentication-enabled')
        Two factor authentication enabled.
        @endif
        @if (session('status')=='recovery-codes-generated')
        Recovery codes generated.
        @endif
      </div>
    </div>
    @endif

    @if (Laravel\Fortify\Features::enabled(Laravel\Fortify\Features::updateProfileInformation()))
    @include('profile.update-profile-information-form')
    @endif

    @if (Laravel\Fortify\Features::enabled(Laravel\Fortify\Features::updatePasswords()))
    @include('profile.update-password-form')
    @endif
  </div>
</div>
@endsection